
QGIS Application - Bug report #15004

Lock the scale to use magnifier to zoom in or out leads to crash

2016-06-12 12:03 AM - dr -

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 22951

Description

1. Open any vector layer

2. Check "Lock the scale to use magnifier to zoom in or out" 

3. Scroll mouse wheel (zoom out)

4. QGIS crashes

Fatal: ASSERT failure in Job::startRender(): "pre-set DPI not equal to painter's DPI (10 vs 9.6)", file

/tmp/buildd/qgis-2.15.0+git20160609+d1cac84+20trusty/src/core/qgsmaprenderercustompainterjob.cpp, line 77

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0x58b7)[0x5566fb9b38b7]

/usr/bin/qgis.bin(+0x5b9a)[0x5566fb9b3b9a]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7fe2dc0c8bb1]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70ff9)[0x7fe2dc0c8ff9]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7fe2dc0c9804]

/usr/lib/libqgis_core.so.2.15.0(QgsMapRendererCustomPainterJob::start()+0x3a0)[0x7fe2dc97c100]

/usr/lib/libqgis_core.so.2.15.0(QgsMapRendererSequentialJob::start()+0x1c0)[0x7fe2dc987950]

/usr/lib/libqgis_gui.so.2.15.0(QgsMapCanvas::refreshMap()+0x3ef)[0x7fe2dd6237f7]

/usr/lib/libqgis_gui.so.2.15.0(+0x585675)[0x7fe2dd6f0675]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2da)[0x7fe2dc1e987a]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x19a70a)[0x7fe2dc1f270a]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObject::event(QEvent*)+0x61)[0x7fe2dc1eda31]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x8c)[0x7fe2db56ee2c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x270)[0x7fe2db5754a0]

/usr/lib/libqgis_core.so.2.15.0(QgsApplication::notify(QObject*, QEvent*)+0x8f)[0x7fe2dc83a0ab]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7fe2dc1d54dd]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1ad323)[0x7fe2dc205323]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aa5f1)[0x7fe2dc2025f1]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fe2d434ee04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fe2d434f048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fe2d434f0ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x7fe2dc2027a1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7fe2db610be6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe2dc1d40af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7fe2dc1d43a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7fe2dc1d9b79]
/usr/bin/qgis.bin(+0x9e23)[0x5566fb9b7e23]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe2daae7f45]
/usr/bin/qgis.bin(+0x5239)[0x5566fb9b3239]
Aborted (core dumped)


1)[0x7fe2dc2027a1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7fe2db610be6]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe2dc1d40af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7fe2dc1d43a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7fe2dc1d9b79]
/usr/bin/qgis.bin(+0x9e23)[0x5566fb9b7e23]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe2daae7f45]
/usr/bin/qgis.bin(+0x5239)[0x5566fb9b3239]
Aborted (core dumped)


c1d40af]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7fe2dc1d43a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7fe2dc1d9b79]
/usr/bin/qgis.bin(+0x9e23)[0x5566fb9b7e23]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe2daae7f45]
/usr/bin/qgis.bin(+0x5239)[0x5566fb9b3239]
Aborted (core dumped)


]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7fe2dc1d9b79]

/usr/bin/qgis.bin(+0x9e23)[0x5566fb9b7e23]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe2daae7f45]

/usr/bin/qgis.bin(+0x5239)[0x5566fb9b3239]

Aborted (core dumped)

History

#1 - 2016-06-12 12:05 AM - dr -

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2016-06-13 07:17 PM - Nyall Dawson

- Status changed from Open to Feedback

Can't reproduce - can you share some more details? Eg a sample project which demonstrates this?

#3 - 2016-06-14 05:21 AM - dr -

It happens with any vector layer, demo: https://dl.dropboxusercontent.com/u/40653013/out.ogv

#4 - 2016-06-14 04:03 PM - Nyall Dawson

Can you try with a clean .qgis2 config folder and see if you still have this issue?

#5 - 2016-06-14 04:43 PM - dr -

Tried and got the same result. I noticed that if open new project, add vector layer and start zooming - when Scale in status bar becomes 0 canvas freezes

and I can not zoom or pan map.

#6 - 2016-06-14 05:09 PM - Nyall Dawson

I'm not sure what's happening here. I can't reproduce locally, so there's got to be something specific with your setup which is triggering this. Have you got

anything unusual happening with respect to DPI settings? Not running a hidpi display or anything? Changed anything with the video card drivers?

#7 - 2016-06-15 05:50 AM - dr -

There are no something specific with my setup. Faced with the same issue on laptop with Ubuntu 12.04:

Fatal: ASSERT failure in Job::startRender(): "pre-set DPI not equal to painter's DPI (10 vs 9.6)", file

/tmp/buildd/qgis-2.15.0+git20160602+94077b2+16precise/src/core/qgsmaprenderercustompainterjob.cpp, line 77

QGIS died on signal -1Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)
#8 - 2016-06-20 09:05 AM - Jürgen Fischer

dr - wrote:

There are no something specific with my setup. Faced with the same issue on laptop with Ubuntu 12.04:

[...]

http://qgis.org/en/site/getinvolved/development/bugreporting.html#creating-a-backtrace has information about how to enable display of a stacktrace.

#9 - 2016-06-27 02:27 AM - dr -

- Status changed from Feedback to Closed

- Resolution set to worksforme

It looks like issue was fixed.

#10 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
http://qgis.org/en/site/getinvolved/development/bugreporting.html#creating-a-backtrace

